Subject: bug#18143: Vertical scroll bar does not work with Image files

From: Eli Zaretskii <[email-masked]>
Date: Tue, 29 Jul 2014 15:02:55 +0300

> Date: Tue, 29 Jul 2014 12:56:26 +0200
> From: Angelo Graziosi <[email-masked]>
> 
> When an image file (jpg, png..) is displayed greater than the frame 
> dimensions, a way to explore it is using the arrow keys (up, down, left 
> and right).
> 
> With the introduction of horizontal scroll bar, it is very nice to use 
> it in place of L-R arrow keys: the HSB works fine here!
> 
> This does not occur with vertical scroll bar. It has the full height of 
> the frame and cannot be moved U-D. So the only way to explore the image 
> vertically is to use the U-D keys.
> 
> I see this both with MSYS2/MinGW64 and Cygwin builds of Emacs trunk.

What you see is due to the difference between the 2 scroll bars in how
the size of the scroll-bar thumb is computed: in character units for
the vertical scroll bar vs pixel units for the horizontal scroll bar.